Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class ScrollEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--oracle.jbo.JboEvent
                  |
                  +--oracle.jbo.RangeEvent
                        |
                        +--oracle.jbo.ScrollEvent

public class ScrollEvent
extends RangeEvent

Generated by `RowSetIterator` to inform its listeners when a range of rows is scrolled.

Since:
  JDeveloper 3.0
See Also:
  Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ScrollEvent(RowSetIterator source, int rangeStartBefore)` Creates a scroll event.

Method Summary
`int` | `getFirstNewRowRangeIndex()` Gets the index of the new first row of the range.
`int` | `getNewRowCountInRange()` Counts the number of rows exposed by the scroll.
`int` | `getRangeStartBefore()` Gets the index of the original first row of the range.
`int` | `getScrollAmount()` Gets the distance rows are displaced by the scroll.
`java.lang.String` | `toString()` Internal: For debugging only.

Methods inherited from class oracle.jbo.RangeEvent
`getAllRowsInRange, getRangeStart, getRowCountInRange, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScrollEvent

    public ScrollEvent(RowSetIterator source,
                       int rangeStartBefore)

  Creates a scroll event.
  Parameters:
    `source` - the publisher of the event.
    `rangeStartBefore` - the View Object index of the first row of the range, before scrolling.

Method Detail

### getRangeStartBefore

    public int getRangeStartBefore()

  Gets the index of the original first row of the range.
  Returns:
    the View Object index of the first row of the range, before scrolling.

### getScrollAmount

    public int getScrollAmount()

  Gets the distance rows are displaced by the scroll.
  Returns:
    the displacement as a number of rows. A negative value indicates scroll-up, and positive value scroll-down.

### getFirstNewRowRangeIndex

    public int getFirstNewRowRangeIndex()

  Gets the index of the new first row of the range.
  Returns:
    the View Object index of the first row of the range, after scrolling.

### getNewRowCountInRange

    public int getNewRowCountInRange()

  Counts the number of rows exposed by the scroll. Rows that were previously in the range are not counted.
  Returns:
    then number of newly visible rows.

### toString

    public java.lang.String toString()

  Internal: For debugging only.
  Overrides:
    toString in class java.util.EventObject
  Returns:
    a diagnostic string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD